//+------------------------------------------------------------------+
//|                                                         Test.mq5 |
//|                                                  AlgorithmWalker |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "AlgorithmWalker"
#property link      "https://www.mql5.com"
#property version   "1.00"

struct lineData
  {
   string            name;
   double            curPrice;

  };

//+------------------------------------------------------------------+
//| Global variables                                                 |
//+------------------------------------------------------------------+
lineData lines[];

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

   int trendTotal=ObjectsTotal(0,0,OBJ_TREND);

   int hlineTotal=ObjectsTotal(0,0,OBJ_HLINE);

   int lineTotal=trendTotal+hlineTotal;

   ArrayFree(lines);
   ArrayResize(lines,lineTotal);

   for(int i=0; i<lineTotal;i++)
     {
      if(i<trendTotal)
        {
         lines[i].name=ObjectName(0,i,0,OBJ_TREND);
         Print(i,"   =   ",lines[i].name);
                }
      else
        {
         lines[i].name=ObjectName(0,i,0,OBJ_HLINE);
         Print(i,"   =   ",lines[i].name);
        }
     }

  }
  
//+------------------------------------------------------------------+
